%define dotnet_version     3.1
%define dotnet_release     rh-dotnet31
%define  instDir           /usr/lib/dotnet/NuPkgs
%define  artifactory       https://artifactory.oci.oraclecorp.com/api/nuget/oci-dex-release-nuget-local


Name:       oci-powershell-modules		
Version:	4.0.0
Release: 1.el7
Group:		Oracle Cloud Infrastructure
Summary:    Oracle Cloud Infrastructure(OCI) Modules for PowerShell
License:	UPL 1.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-powershell-modules
Source0:	%{name}-%{version}.tar.bz2
Source1:    %{name}.csproj
Source2:    nuget.config
Buildarch:  noarch
AutoReq:    no

BuildRequires:	%{?dotnet_release}-dotnet >= %{dotnet_version} 
Requires:	    %{?dotnet_release}-dotnet >= %{dotnet_version}
Requires:       powershell >= 6.0

%description
The oci-powershell-modules is a set of cmdlet modules that can be used with PowerShell Core to manage Oracle Cloud Infrastructure resources. You can invoke these cmdlets from the PowerShell command-line and with the associated PowerShell scripting language.
%prep
%setup -q -n %{name}-%{version}

packFile=%{name}.csproj
cp %{SOURCE1} .

cspFiles=`ls */*.csproj |grep -v Examples |grep -v Commontest`
for csp in $cspFiles; do 
       pkgName=`basename $csp .csproj`
       echo "    <PackageReference Include=\"${pkgName}\" Version=\"%{version}\" />" >>$packFile
done
echo -n "  </ItemGroup>
</Project>
" >>$packFile


%build
unset https_proxy
unset http_proxy

which dotnet ||  source /opt/rh/%{dotnet_release}/enable
mv %{name}.sln %{name}.sln.old
dotnet restore -s %{artifactory}


%check 
#make unit-test

%install
mkdir -p %{buildroot}%{instDir}
NuPkgs=`find ~/.nuget/ -name "oci.psmodule*.nupkg"`
for nupkg in $NuPkgs; do
    lastname=`basename $nupkg .%version.nupkg|cut -d. -f3`
    cp $nupkg %{buildroot}%{instDir}/OCI.PSModules.${lastname^}.%version.nupkg
done
cp %{SOURCE2} .

%files
%{instDir}/*
%doc *.md *.txt nuget.config Examples/ 

%pre
instDir=/usr/lib/dotnet/NuPkgs
[ -d $instDir ] ||  mkdir -p $instDir 

%changelog
* Tue Dec 15 2020 EL Errata <el-errata_ww@oracle.com> 4.0.0-1
- Update to 4.0.0

* Tue Dec 08 2020 EL Errata <el-errata_ww@oracle.com> 3.1.0-1
- Update to 3.1.0

* Tue Dec 01 2020 EL Errata <el-errata_ww@oracle.com> 3.0.0-1
- Update to 3.0.0

* Tue Nov 17 2020 EL Errata <el-errata_ww@oracle.com> 2.0.0-1
- Update to 2.0.0

* Tue Nov 10 2020 EL Errata <el-errata_ww@oracle.com> 1.12.0-1
- Update to 1.12.0

* Tue Nov 03 2020 EL Errata <el-errata_ww@oracle.com> 1.11.0-1
- Update to 1.11.0

* Tue Oct 27 2020 EL Errata <el-errata_ww@oracle.com> 1.10.0-1
- Update to 1.10.0

* Wed Oct 21 2020 Alan Steinberg <alan.steinberg@oracle.com> - 1.9.0-1
- Update to 1.9.0

* Wed Oct 14 2020 Qing Lin <qing.lin@oracle.com> -1.8.0-1
- Update to 1.8.0
- Build for first RPM release.

* Mon Oct 12 2020 Qing Lin <qing.lin@oracle.com> -1.7.0-1
- Update to 1.7.0

* Mon Sep 21 2020 Qing Lin <qing.lin@oracle.com> -1.3.0-1.0.1 
- Pack the prebuild OCI.PowerShell nupkgs and their dependencies from OCI artifactory instead.

* Fri Sep 11 2020 Qing Lin <qing.lin@oracle.com> -1.3.0-1 
- initial build 1.3.0

